echo off
cls
echo WE KNOW YOU ARE ANXIOUS TO RUN THE SERIALTEST DEMO, BUT
echo PLEASE TAKE A FEW MINUTES TO REVIEW THIS INFORMATION.
echo ..
echo For future reference, you can run the demo directly, bypassing this
echo information, by entering STCDEMO.
echo ..
echo There are two Serialtest products -- Serialtest and Serialtest Async. 
echo Serialtest consists of software and the RS-232 ComProbe.  Serialtest can
echo be used to monitor and emulate BOTH async and sync devices, and supports
echo popular protocols including bisync, HDLC, X.25, etc.  Serialtest stands
echo above other PC-based protocol analyzers because it DOES NOT USE A PLUG-IN
echo BOARD.  The ComProbe connects to the PC running Serialtest via the parallel
echo printer port.  This makes Serialtest ideal for notebooks and laptops.
echo ..
echo Serialtest Async is an async-only version of Serialtest.  It consists of
echo software and custom cabling (provided with the package).  Serialtest
echo Async can be used with one Com port, but two Com ports are required for
echo bidirectional  monitoring.
pause
cls
echo Because Serialtest contains all the features of Serialtest Async, we use
echo the same demo program for both products.  By default, the demo will come
echo up in async mode.  If you are concerned only with async communication,
echo simply leave the program in async mode.
echo ..
echo If you would like to explore Serialtest's sync capabilities, then configure
echo the demo to run in sync mode.  You can do this two ways:
echo ..
echo 1) On the SET I/O PARAMETERS screen select sync, and choose the level 2
echo and level 3 protocols you want to use.
echo ..
echo 2) We have included a number of predefined configurations.  You can
echo access these by using the [F10] pop-up, selecting MANAGE CONFIGURATION
echo FILE, selecting LOAD CONFIGURATION FROM DISK, and choosing the desired
echo configuration.
echo ..
echo ..
echo The demo simulates data transfer and monitoring using a slow baud rate. 
echo We have chosen to run in "slow motion" so that it is easier for you to
echo understand what the demo is showing you.
pause
cls
echo The demo "looks and feels" just like the real program.  All selections you
echo make effect the demo, with the exception of baud rate.  The only thing
echo the demo can't do is capture data from, or transmit to, the real world.
echo By default, key features, which we want to highlight, such as timestamping
echo and triggers are active when the demo is started.
echo ..
echo ..
echo Serialtest is a feature-rich product, and there isn't any way to describe
echo all the features in one short readme file.  However, context-sensitive
echo help is part of the program.  Press [F9] at anytime for help. Serialtest's
echo main menu is accessed using [F1].
echo ..
echo ..
echo Here are the features we recommend you make sure to look at:
pause
cls
echo 1) When you are capturing data on the INITIATE DATASCOPE, screen bring up
echo the DATASCOPE UTILITIES with the [F2] key.  Note how data display formats
echo can be changed, including switching between frame-oriented and byte-
echo oriented displays.
echo ..
echo 2) Enter [F2] and open a capture file; you'll use this later.  A major
echo strength of Serialtest is it's ability to capture unlimited amounts of
echo data to disk.
echo ..
echo 3) After capturing data, go to the REVIEW DATA screen and experiment with
echo different display formats.  Also note that when you enter [F2] you'll get
echo a pop-up which allows you to load capture files and create new capture
echo files.
echo ..
echo 4) For those of you interested in control signals (modem leads):
echo ..
echo a) Go to the DISPLAY SIGNALS screen and see how you can zoom in and zoom
echo out on timing diagrams.  When timestamping is enabled, using M (for Mark)
echo and D (for Delta), you can easily calculate signal timing information on
echo captured data.
echo ..
echo b) Use the BREAKOUT BOX screen for a live display of control signal status.
pause
cls
echo 5) If you go to the TRIGGER DEFINITION screen you'll find that it is very
echo easy to create and assign control signal and string triggers.  String
echo triggers can include wildcards as well all hex values.  Hex values are
echo entered using the notation $nn, where nn are two hex digits.  A wildcard
echo character is entered as $?.
echo ..
echo 6) The OPTIONS part of the CUSTOMIZE SERIALTEST screen controls a number
echo of features which you might find interesting.
echo ..
echo 7) If you will have the need to transmit data from Serialtest go to the
echo SET I/O PARAMETERS screen and put Serialtest in one of it's two source
echo modes.  Now, when you initiate the datascope you'll find source mode
echo items, including the ability to replay Serialtest capture files.
echo ..
echo ..
echo This list of suggestions highlights just a few of the many features that
echo make Serialtest and Serialtest Async such powerful packages.  We encourage
echo you to play with the demo and ask your dealer or Frontline questions.
echo We are confident that when you use Serialtest or Serialtest Async you'll
echo be pleased with your purchase.
pause
cls
echo Your dealer is:
type dealer.dat
echo ..
echo ..
echo If you would like a printout of the information you have just reviewed,
echo print the file called STDEMO.BAT.
pause
cls
echo ..
echo ..
echo Loading Serialtest demo...
stcdemo
